#ifndef MAP_DRAWING_HEADER_INCLUDED
#define MAP_DRAWING_HEADER_INCLUDED

#include "biogeo.h"
#include "progbar.h"
#include <gtk/gtk.h>

#define COASTLINE   1
#define RIVERLINE   2
#define POLITICLINE 3
#define OTHERLINE   4

GList* mapLines;

#define GETMAPLINES mapLines
#define SETMAPLINES(x) mapLines = (x)

typedef struct tagMAPPOINT MAPPOINT;
typedef struct tagLINESET LINESET;

struct tagMAPPOINT {
 SREAL inclination;     /* Zenith from equatorial plane to north pole */
 SREAL azimuth;         /* Reference plane, the equatorial plane */
 SCOUNTER x;
 SCOUNTER y;
};

struct tagLINESET {
 SCOUNTER numPoints;
 GList* mapPoints;
 GdkPoint* drawPoints;
 SFLAG line;
};

SFLAG ReadMapFile (gchar* name, PROGRESSSTRUCT* progress);
void DestroyLineSet (LINESET* toDel);

#endif // MAP_DRAWING_HEADER_INCLUDED
